Skip to main content
GET
Get billing checkout session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgID
string<uuid>
required
lookup
string
required
Pattern: ^(pcs_)?[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response

OK

checkout_session_id
string<uuid>
required
checkout_session_token
string
required
Pattern: ^pcs_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
checkout_type
enum<string>
required
Available options:
subscription
status
enum<string>
required
Available options:
created,
completed,
expired,
failed
subscription_status
enum<string>
required
Available options:
active,
failed,
pending,
pending_webhook
target_tier
enum<string>
required
Available options:
starter,
pro,
max,
team
claimed_store_purchase
boolean

Present and true when binding the store transaction claimed the purchase the store had already reported: the intent completed and granted from it.

store_app_user_id
string<uuid>

The store identity the device buys as. Present only when a store purchase intent is created.

store_product_id
string

The store product the device buys. Present only when a store purchase intent is created.

url
string

The Stripe hosted checkout to open. Absent for a store purchase intent.